//**********************************************************************//
//
//	terrain_example.shader for Q3 by Sock
//	Website : http://www.planetquake.com/simland/
//
//**********************************************************************//
//modified by GlasShadow
// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================
textures/budapest_ground/bp_mossmud
{
        qer_editorimage textures/budapest_ground/bp_mossmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm landmine
	surfaceparm grasssteps 
	{
		map textures/budapest_ground/bp_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/budapest_ground/bp_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/budapest_ground/bp_rockmud
{
        qer_editorimage textures/budapest_ground/bp_rockmud.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps 

	{
		map textures/budapest_ground/bp_rock3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/budapest_ground/bp_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/budapest_ground/bp_dirtmud
{
        qer_editorimage textures/budapest_ground/bp_dirtmud.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm landmine
	surfaceparm gravelsteps 

	{
		map textures/temperate_sd/sand_patchnoise.tga	// Primary
		rgbGen identity
	}
	{
		map textures/budapest_ground/bp_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// Hong Phonged textures
// ======================================================================
textures/budapest_ground/bp_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/budapest_ground/bp_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/budapest_ground/bp_rock2.tga
		blendFunc filter
	}
}
textures/budapest_ground/bp_dirt
{
	q3map_nonplanar
	q3map_shadeangle 120
    qer_editorimage textures/temperate_sd/sand_patchnoise.tga
	surfaceparm gravelsteps 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		blendFunc filter
	}
}



// ======================================================================
// Alpha blending without dotProduct2 and ivector
// ======================================================================
textures/budapest_ground/bp_rock2moss1		// Normal texture blending
{
        qer_editorimage textures/budapest_ground/bp_rock2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 120
	
	{
		map textures/budapest_ground/bp_rock2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/budapest_ground/bp_moss1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/budapest_ground/dcl_moss1		// Decal blending
{
        qer_editorimage textures/budapest_ground/bp_moss1.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	polygonoffset
	{
		map textures/budapest_ground/bp_moss1.tga
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/budapest_ground/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/budapest_ground/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/budapest_ground/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/budapest_ground/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/budapest_ground/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/budapest_ground/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

